- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_Getopt Struct Reference
Ecore » Ecore Getopt

Structure that contains information on all command line options. More...

## Data Fields
const char * | prog
| to be used when ecore_app_args_get() fails
const char * | usage
| usage example, prog is replaced
const char * | version
| if exists, –version will work
const char * | copyright
| if exists, –copyright will work
const char * | license
| if exists, –license will work
const char * | description
| long description, possible multiline
Eina_Bool | strict: 1
| fail on errors
const Ecore_Getopt_Desc | descs []
| A table that contains the description of all the other options (NULL terminated). More...

## Detailed Description

Structure that contains information on all command line options.

Examples:
  ecore_thread_example.c.

## Field Documentation

const Ecore_Getopt_Desc _Ecore_Getopt::descs[]

A table that contains the description of all the other options (NULL terminated).

Referenced by ecore_getopt_help_category(), ecore_getopt_parse_positional(), and ecore_getopt_parser_has_duplicates().